Package: org.gradle.api.tasks

## [Java] Annotation Type InputDirectory

- org.gradle.api.tasks.InputDirectory

- Marks a property as specifying an input directory for a task.

  This annotation should be attached to the getter method or the field for the property.

  This will cause the task to be considered out-of-date when the directory location or contents have changed. To make the task dependent on the directory location but not the contents, use an Input annotation instead.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`